.modal {
    width: 100%;
    border-radius: rem(8);
    padding: rem(30) rem(24) rem(40) rem(24);

    &-sm {
        max-width: rem(350);
        padding: rem(50) rem(24) rem(40) rem(24);
    }

    &-calendar {
        max-width: rem(350);
        padding: rem(20) 0 0 0;
    }

    &__header {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(22);
        margin-bottom: rem(26);
    }

    &__wrap {
        margin: 0 auto;
        max-width: rem(340);
    }

    .btn-color {
        width: 100%;
    }

    &__text {
        padding: rem(24) 0;
        font-size: rem(12);
        line-height: rem(15);
        text-align: center;

        a {
            color: #4F4F4F;
            text-decoration: underline;

            &:hover {
                color: #4F4F4F;
                text-decoration: none;
            }
        }
    }

    &__divider {
        font-size: rem(14);
        line-height: 140%;
        text-align: center;
        margin-bottom: rem(12);
        font-family: $font-family-head;
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        &--item {
            display: block;
            width: rem(32);
            height: rem(32);
            border-radius: 50%;
            flex-shrink: 0;
            margin: 0 rem(6);
        }
    }

    &__links {
        font-size: rem(12);
        line-height: rem(15);
        padding-top: rem(24);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--center {
            justify-content: center;
        }

        a {
            color: #4F4F4F;
            white-space: nowrap;
            display: inline-block;
            text-decoration: underline;

            &:hover {
                color: #4F4F4F;
                text-decoration: none;
            }
        }
    }

    &__info {
        font-size: rem(14);
        line-height: 160%;
        text-align: center;
        margin-bottom: rem(24);
        font-family: $font-family-head;
    }

    &__load {
        width: rem(48);
        height: rem(48);
        margin: rem(36) auto rem(50) auto;

        &--wrap {
            width: rem(48);
            height: rem(48);
            animation-name: rotation;
            animation-duration: 3s;
            animation-iteration-count: infinite;
            animation-timing-function: linear;
        }
    }

    @media (min-width: $screen-md-min) {
        width: rem(500);

        &-sm {
            width: rem(350);
        }

        &-calendar {
            width: rem(350);
        }
    }
}

.events-modal {
    overflow: hidden;
    background: #fff;
    max-width: rem(375);
    border-radius: rem(8);
    padding: rem(40) rem(10) rem(40) rem(20);

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(20);

        font-family: $font-family-head;
    }

    &__content {
        height:rem(300);
    }

    &__scroll {
        height: rem(300);
        padding-right: rem(18);
    }

    &__item {
        margin-bottom: rem(24);
    }

    .mCSB_scrollTools {
        width: rem(6);
    }

    .mCSB_dragger_bar {
        background: rgb(236,10,21);
        background: linear-gradient(180deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }

    .mCSB_outside+.mCS-minimal-dark.mCSB_scrollTools_vertical, .mCSB_outside+.mCS-minimal.mCSB_scrollTools_vertical {
        margin: 0;
    }

    @media (min-width: $screen-md-min) {
        width: rem(550);
        max-width: inherit;
        padding: rem(40) rem(17) rem(40) rem(35);

        &__header {
            font-size: rem(36);
            line-height: rem(44);
        }

        &__row {
            display: flex;
            flex-wrap: wrap;
            margin: 0 rem(-15);
        }

        &__item {
            width: 50%;
            padding: 0 rem(15);
        }

        &__content {
            height: rem(420);
        }

        &__scroll {
            height: rem(420);
            padding-right: rem(18);
        }
    }

    @media (min-width: $screen-lg-min) {
        width: rem(800);


        &__item {
            width: 33.33%;
        }
    }

}

.modal-calendar {
    overflow: hidden;

    .datepicker {
        border: none;
        box-shadow: none;
        border-radius: rem(8);
    }
}
